diff --git a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
index d9df13fac..6bc6a97b5 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
@@ -789,53 +862,53 @@ public class ScreenAchievements extends Screen
 
     @Nullable
     private Achievement drawAchievementIcons(int mouseX, int mouseY, double shiftX, double shiftY){
-        double zoom = viewportZoom;
+        double zoom = this.viewportZoom;
 
         Achievement hoveredAchievment = null;
-        for(AchievementPage.AchievementEntry entry : currentPage.getAchievementEntries()) {
+        for(AchievementPage.AchievementEntry entry : this.currentPage.getAchievementEntries()) {
             Achievement ach = entry.achievement;
-            double achViewX = (viewportLeft + viewportWidth/2d) + (entry.x * ACHIEVEMENT_CELL_WIDTH - shiftX ) * zoom;
-            double achViewY = (viewportTop + viewportHeight/2d) + (entry.y * ACHIEVEMENT_CELL_HEIGHT - shiftY) * zoom;
-            if(achViewX < viewportLeft - ACHIEVEMENT_CELL_WIDTH * zoom || achViewY < viewportTop - ACHIEVEMENT_CELL_HEIGHT * zoom || achViewX > viewportRight || achViewY > viewportBottom) { // Continue if outside viewport
+            double achViewX = (this.viewportLeft + this.viewportWidth /2d) + (entry.x * ACHIEVEMENT_CELL_WIDTH - shiftX ) * zoom;
+            double achViewY = (this.viewportTop + this.viewportHeight /2d) + (entry.y * ACHIEVEMENT_CELL_HEIGHT - shiftY) * zoom;
+            if(achViewX < this.viewportLeft - ACHIEVEMENT_CELL_WIDTH * zoom || achViewY < this.viewportTop - ACHIEVEMENT_CELL_HEIGHT * zoom || achViewX > this.viewportRight || achViewY > this.viewportBottom) { // Continue if outside viewport
                 continue;
             }
 
-            if(statsCounter.isUnlocked(ach)) {
+            if(this.statsCounter.isUnlocked(ach)) {
                 float brightness = 1.0F;
-                GL11.glColor4f(brightness, brightness, brightness, 1.0F);
-            } else if(statsCounter.canUnlock(ach)) {
+                GLRenderer.setColor4f(brightness, brightness, brightness, 1.0F);
+            } else if(this.statsCounter.canUnlock(ach)) {
                 // Flicker if can unlock
                 float brightness = timeSin(1, 600) >= 0.6 ? 0.6F : 0.8F;
-                GL11.glColor4f(brightness, brightness, brightness, 1.0F);
+                GLRenderer.setColor4f(brightness, brightness, brightness, 1.0F);
             } else {
                 // Darken if not unlock-able
                 float brightness = 0.3F;
-                GL11.glColor4f(brightness, brightness, brightness, 1.0F);
+                GLRenderer.setColor4f(brightness, brightness, brightness, 1.0F);
             }
 
-            drawGuiIconDouble(achViewX - (ACHIEVEMENT_ICON_WIDTH - ACHIEVEMENT_CELL_WIDTH) * zoom, achViewY - (ACHIEVEMENT_ICON_HEIGHT - ACHIEVEMENT_CELL_HEIGHT) * zoom, ACHIEVEMENT_ICON_WIDTH * zoom, ACHIEVEMENT_ICON_HEIGHT * zoom, currentPage.getAchievementIcon(ach));
+            drawGuiIconDouble(achViewX - (ACHIEVEMENT_ICON_WIDTH - ACHIEVEMENT_CELL_WIDTH) * zoom, achViewY - (ACHIEVEMENT_ICON_HEIGHT - ACHIEVEMENT_CELL_HEIGHT) * zoom, ACHIEVEMENT_ICON_WIDTH * zoom, ACHIEVEMENT_ICON_HEIGHT * zoom, this.currentPage.getAchievementIcon(ach));
 
-            if(!statsCounter.canUnlock(ach)) {
+            if(!this.statsCounter.canUnlock(ach)) {
                 float brightness = 0.1F;
-                GL11.glColor4f(brightness, brightness, brightness, 1.0F);
+                GLRenderer.setColor4f(brightness, brightness, brightness, 1.0F);
             }
 
-            GL11.glPushMatrix();
-            GL11.glEnable(GL11.GL_LIGHTING);
-            GL11.glEnable(GL11.GL_CULL_FACE);
+            GLRenderer.pushFrame();
+            GLRenderer.globalSetLightEnabled(true);
+            GLRenderer.enableState(State.CULL_FACE);
             Item achievementItem = Item.itemsList[ach.iconItemId];
 
-            GL11.glTranslated(achViewX + 3 * zoom, achViewY + 3 * zoom, 0);
-            GL11.glScaled(zoom, zoom, 1);
-//            ItemModelDispatcher.getInstance().getDispatch(achievementItem).renderItemIntoGui(Tessellator.instance, mc.font, mc.textureManager, achievementItem.getDefaultStack(), 0, 0, 1.0f);
-            ItemModelDispatcher.getInstance().getDispatch(achievementItem).renderGui(Tessellator.instance, null, achievementItem.getDefaultStack(), 0, 0, 1f, 1.0f, 1f);
+            GLRenderer.modelM4f().translate((float) (achViewX + 3 * zoom), (float) (achViewY + 3 * zoom), 0);
+            GLRenderer.modelM4f().scale((float) zoom, (float) zoom, 1);
+//            ItemModelDispatcher.getInstance().getDispatch(achievementItem).renderItemIntoGui(GLRenderer.getTessellator(), mc.font, mc.textureManager, achievementItem.getDefaultStack(), 0, 0, 1.0f);
+            ItemModelDispatcher.getInstance().getDispatch(achievementItem).renderGui(GLRenderer.getTessellator(), null, achievementItem.getDefaultStack(), 0, 0, LightmapHelper.getLightmapCoord(15, 15), 1f);
 
-            GL11.glDisable(GL11.GL_LIGHTING);
-            GL11.glPopMatrix();
+            GLRenderer.globalSetLightEnabled(false);
+            GLRenderer.popFrame();
 
-            GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+            GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
-            if((mouseX >= 0 && mouseY >= viewportTop && mouseX < width && mouseY < viewportBottom) && // In viewport and
+            if((mouseX >= 0 && mouseY >= this.viewportTop && mouseX < this.width && mouseY < this.viewportBottom) && // In viewport and
                 (mouseX >= achViewX && mouseX <= achViewX + 22 * zoom && mouseY >= achViewY && mouseY <= achViewY + 22 * zoom)) { // Hovering over achievement
                 hoveredAchievment = ach;
             }
@@ -845,28 +918,28 @@ public class ScreenAchievements extends Screen
     private void drawAchievementToolTip(Achievement achievement, int mouseX, int mouseY){
         String name = achievement.getStatName();
         String desc = achievement.getDescription();
-        final int padding = tooltip.getPadding();
+        final int padding = this.tooltip.getPadding();
         int[] boxRender;
-        if(statsCounter.canUnlock(achievement)) { // Can unlock/ is unlocked
+        if(this.statsCounter.canUnlock(achievement)) { // Can unlock/ is unlocked
             int boxWidth = Math.max(MathHelper.ceil(this.fontRenderer.stringWidthDouble(name)), TOOLTIP_BOX_WIDTH_MIN);
             int boxHeight = MathHelper.ceil(this.fontRenderer.heightOfConstrainedChars(desc, boxWidth));
-            if(statsCounter.isUnlocked(achievement)) {
+            if(this.statsCounter.isUnlocked(achievement)) {
                 boxHeight += 12;
             }
-            boxRender = tooltip.drawBackground(mouseX, mouseY, TOOLTIP_OFF_X, TOOLTIP_OFF_Y, boxWidth + 3, boxHeight + 3 + 12);
-            this.fontRenderer.renderWidthConstrained(Tessellator.instance, desc, boxRender[0] + padding, boxRender[1] + 12 + padding, boxWidth).setColor(0xffa0a0a0).call();
-            if(statsCounter.isUnlocked(achievement)) { // Add taken string to bottom
-                drawStringShadow(fontRenderer, I18n.getInstance().translateKey("gui.achievements.label.taken"), boxRender[0] + padding, boxRender[1] + boxHeight + 8 + padding, 0xff9090ff);
+            boxRender = this.tooltip.drawBackground(mouseX, mouseY, TOOLTIP_OFF_X, TOOLTIP_OFF_Y, boxWidth + 3, boxHeight + 3 + 12);
+            this.fontRenderer.renderWidthConstrained(desc, boxRender[0] + padding, boxRender[1] + 12 + padding, boxWidth).setColor(0xffa0a0a0).call();
+            if(this.statsCounter.isUnlocked(achievement)) { // Add taken string to bottom
+                drawStringShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.achievements.label.taken"), boxRender[0] + padding, boxRender[1] + boxHeight + 8 + padding, 0xff9090ff);
             }
         } else { // Not unlocked so darken
-            int boxWidth = Math.max(MathHelper.ceil(fontRenderer.stringWidthDouble(name)), TOOLTIP_BOX_WIDTH_MIN);
+            int boxWidth = Math.max(MathHelper.ceil(this.fontRenderer.stringWidthDouble(name)), TOOLTIP_BOX_WIDTH_MIN);
             String msg = I18n.getInstance().translateKeyAndFormat("gui.achievements.label.requires", achievement.parent.getStatName());
-            int boxHeight = MathHelper.ceil(fontRenderer.heightOfConstrainedChars(msg, boxWidth));
-            boxRender = tooltip.drawBackground(mouseX, mouseY, TOOLTIP_OFF_X, TOOLTIP_OFF_Y, boxWidth + 3, boxHeight + 3 + 12);
-            this.fontRenderer.renderWidthConstrained(Tessellator.instance, msg, boxRender[0] + padding, boxRender[1] + 12 + padding, boxWidth).setColor(0xff705050).call();
+            int boxHeight = MathHelper.ceil(this.fontRenderer.heightOfConstrainedChars(msg, boxWidth));
+            boxRender = this.tooltip.drawBackground(mouseX, mouseY, TOOLTIP_OFF_X, TOOLTIP_OFF_Y, boxWidth + 3, boxHeight + 3 + 12);
+            this.fontRenderer.renderWidthConstrained(msg, boxRender[0] + padding, boxRender[1] + 12 + padding, boxWidth).setColor(0xff705050).call();
         }
-        int color = statsCounter.canUnlock(achievement) ? achievement.getType().colorName : achievement.getType().colorNameLocked;
-        drawStringShadow(fontRenderer, name, boxRender[0] + padding, boxRender[1] + padding, color);
+        int color = this.statsCounter.canUnlock(achievement) ? achievement.getType().colorName : achievement.getType().colorNameLocked;
+        drawStringShadow(this.fontRenderer, name, boxRender[0] + padding, boxRender[1] + padding, color);
     }
     public boolean drawSidebar(){
         return AchievementPageRegistry.getInstance().getPages().size() > 1;
@@ -874,14 +947,14 @@ public class ScreenAchievements extends Screen
     private void scrollPagesList(float amount) {
         if(amount == 0.0f) return;
 
-        pageListScrollAmount += amount;
+        this.pageListScrollAmount += amount;
         onScrollPagesList();
     }
 
     private void onScrollPagesList() {
         int totalPagesListHeight = getTotalPagesListHeight();
-        if (pageListScrollAmount < 0 || pagesListScrollRegionHeight > totalPagesListHeight) pageListScrollAmount = 0;
-        else if (pageListScrollAmount > totalPagesListHeight - pagesListScrollRegionHeight) pageListScrollAmount = totalPagesListHeight - pagesListScrollRegionHeight;
+        if (this.pageListScrollAmount < 0 || this.pagesListScrollRegionHeight > totalPagesListHeight) this.pageListScrollAmount = 0;
+        else if (this.pageListScrollAmount > totalPagesListHeight - this.pagesListScrollRegionHeight) this.pageListScrollAmount = totalPagesListHeight - this.pagesListScrollRegionHeight;
     }
     private int getTotalPagesListHeight() {
         return PAGE_BUTTON_HEIGHT * AchievementPageRegistry.getInstance().getPages().size();
@@ -894,16 +967,16 @@ public class ScreenAchievements extends Screen
         for(AchievementPage page : AchievementPageRegistry.getInstance().getPages()) {
             String name = page.getName();
             int textColor = 0xFF7F7F7F;
-            if (page == currentPage) {
+            if (page == this.currentPage) {
                 textColor = 0xFFFFFFFF;
             }
             if (mouseX >= x && mouseX < x + width && mouseY >= y2 && mouseY < y2 + PAGE_BUTTON_HEIGHT) {
                 textColor = 0xFFFFFFA0;
                 pageHovered = page;
             }
-            renderItem.render(page.getIcon(), x, y2 + (PAGE_BUTTON_HEIGHT / 2) - 9);
-            if (page.getCompletionFraction(statsCounter) >= 1) {
-                GL11.glColor4f(1f, 1f, 1f, 1f);
+            this.renderItem.render(page.getIcon(), x, y2 + (PAGE_BUTTON_HEIGHT / 2) - 9);
+            if (page.getCompletionFraction(this.statsCounter) >= 1) {
+                GLRenderer.setColor4f(1f, 1f, 1f, 1f);
                 drawGuiIcon(x + 8, y2 + (PAGE_BUTTON_HEIGHT / 2) - 9 + 8, 11, 11, TextureRegistry.getTexture("minecraft:gui/screen/achievement/star"));
             }
             drawStringShadow(this.fontRenderer, name, x + 19, y2 + (PAGE_BUTTON_HEIGHT / 2) - 4, textColor);
@@ -914,60 +987,61 @@ public class ScreenAchievements extends Screen
     }
     protected void drawPagesListScrollBar(int mouseX, int mouseY) {
         float totalPagesListHeight = getTotalPagesListHeight();
-        float scrollBarHeightPercent = pagesListScrollRegionHeight / totalPagesListHeight;
+        float scrollBarHeightPercent = this.pagesListScrollRegionHeight / totalPagesListHeight;
 
         if(scrollBarHeightPercent > 1.0f) return;
 
-        glDisable(GL_TEXTURE_2D);
+        GLRenderer.pushFrame();
+        GLRenderer.setShader(Shaders.COLOR);
 
-        int scrollBarX = pageListRight - 6;
+        int scrollBarX = this.pageListRight - 6;
 
-        int scrollBarHeightPx = (int) (scrollBarHeightPercent * pagesListScrollRegionHeight);
+        int scrollBarHeightPx = (int) (scrollBarHeightPercent * this.pagesListScrollRegionHeight);
         if(scrollBarHeightPx < 32) {
             scrollBarHeightPx = 32;
         }
 
-        float scrollPercent = pageListScrollAmount / (totalPagesListHeight - pagesListScrollRegionHeight);
+        float scrollPercent = this.pageListScrollAmount / (totalPagesListHeight - this.pagesListScrollRegionHeight);
 
-        int scrollBarY = (int) (top + (pagesListScrollRegionHeight - scrollBarHeightPx) * scrollPercent);
+        int scrollBarY = (int) (this.top + (this.pagesListScrollRegionHeight - scrollBarHeightPx) * scrollPercent);
 
-        Tessellator t = Tessellator.instance;
+        TessellatorGeneral t = GLRenderer.getTessellator();
 
         t.startDrawingQuads();
-        t.setColorOpaque(0, 0, 0);
-        t.drawRectangle(scrollBarX, top, 6, pagesListScrollRegionHeight);
-        t.setColorRGBA_I(0x808080, 255);
+        t.setColorOpaque3i(0, 0, 0);
+        t.drawRectangle(scrollBarX, this.top, 6, this.pagesListScrollRegionHeight);
+        t.setColor2i(0x808080, 255);
         t.drawRectangle(scrollBarX, scrollBarY, 6, scrollBarHeightPx);
-        t.setColorRGBA_I(0xc0c0c0, 255);
+        t.setColor2i(0xc0c0c0, 255);
         t.drawRectangle(scrollBarX + 1, scrollBarY, 5, scrollBarHeightPx - 1);
         t.draw();
 
-        glEnable(GL_TEXTURE_2D);
+        GLRenderer.popFrame();
 
-        if(clickX != null && clickY != null) {
-            if(clickX >= scrollBarX && clickY >= top && clickX <= scrollBarX + 6 && clickY < bottom) {
-                if(oldPagesListScrollAmount == null) {
-                    oldPagesListScrollAmount = pageListScrollAmount;
+        if(this.clickX != null && this.clickY != null) {
+            if(this.clickX >= scrollBarX && this.clickY >= this.top && this.clickX <= scrollBarX + 6 && this.clickY < this.bottom) {
+                if(this.oldPagesListScrollAmount == null) {
+                    this.oldPagesListScrollAmount = this.pageListScrollAmount;
                 }
-                pageListScrollAmount = oldPagesListScrollAmount + (clickY - mouseY) * (1.0f / scrollBarHeightPercent) * -1.0f;
+                this.pageListScrollAmount = this.oldPagesListScrollAmount + (this.clickY - mouseY) * (1.0f / scrollBarHeightPercent) * -1.0f;
                 onScrollPagesList();
             }
         }else {
-            oldPagesListScrollAmount = null;
+            this.oldPagesListScrollAmount = null;
         }
     }
 
     private void overlayBackground(int minX, int maxX, int minY, int maxY, int color)
     {
-        Tessellator tessellator = Tessellator.instance;
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        TessellatorGeneral tessellator = GLRenderer.getTessellator();
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float scale = 32F;
         tessellator.startDrawingQuads();
-        tessellator.setColorOpaque_I(color);
+        tessellator.setColorOpaque1i(color);
         tessellator.addVertexWithUV(minX, maxY, 0.0D, (float) minX / scale, (float) maxY / scale);
         tessellator.addVertexWithUV(maxX, maxY, 0.0D, (float) maxX / scale, (float) maxY / scale);
-        tessellator.setColorOpaque_I(color);
+        tessellator.setColorOpaque1i(color);
         tessellator.addVertexWithUV(maxX, minY, 0.0D, (float) maxX / scale, (float) minY / scale);
         tessellator.addVertexWithUV(minX, minY, 0.0D, (float) minX / scale, (float) minY / scale);
         tessellator.draw();
@@ -980,42 +1054,42 @@ public class ScreenAchievements extends Screen
         public final int id;
         public BGLayer(int id) {
             this.id = id;
-            data = new IconCoordinate[0];
-            width = 0;
-            height = 0;
+            this.data = new IconCoordinate[0];
+            this.width = 0;
+            this.height = 0;
         }
         public int getWidth() {
-            return width;
+            return this.width;
         }
         public int getHeight() {
-            return height;
+            return this.height;
         }
         public IconCoordinate[] getData() {
-            return data;
+            return this.data;
         }
         protected void resize(int width, int height) {
             this.width = width;
             this.height = height;
-            data = new IconCoordinate[width * height];
+            this.data = new IconCoordinate[width * height];
         }
         public void put(IconCoordinate coordinate, int x, int y){
             if (x < 0) return;
             if (y < 0) return;
-            if (x >= width) return;
-            if (y >= height) return;
-            data[makeIndex(x, y)] = coordinate;
+            if (x >= this.width) return;
+            if (y >= this.height) return;
+            this.data[makeIndex(x, y)] = coordinate;
         }
 
         public IconCoordinate get(int x, int y){
             if (x < 0) return null;
             if (y < 0) return null;
-            if (x >= width) return null;
-            if (y >= height) return null;
-            return data[makeIndex(x, y)];
+            if (x >= this.width) return null;
+            if (y >= this.height) return null;
+            return this.data[makeIndex(x, y)];
         }
 
         private int makeIndex(int x, int y){
-            return x % width + y * width;
+            return x % this.width + y * this.width;
         }
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/chat/GuiElementChatSuggestions.java b/game/client/src/main/java/net/minecraft/client/gui/chat/GuiElementChatSuggestions.java
index 5c5b54947..ea3afe4bc 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/chat/GuiElementChatSuggestions.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/chat/GuiElementChatSuggestions.java
@@ -24,7 +24,6 @@ import net.minecraft.client.gui.text.ITextField;
 import net.minecraft.client.gui.text.TextFieldEditor;
 import net.minecraft.client.net.command.ClientCommandSource;
 import net.minecraft.client.render.font.FontRenderer;
-import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.net.command.*;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.packet.PacketRequestCommandManager;
@@ -39,7 +38,6 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Locale;
 import java.util.Map;
-import java.util.Optional;
 import java.util.OptionalInt;
 import java.util.concurrent.CompletableFuture;
 
@@ -95,7 +93,7 @@ public class GuiElementChatSuggestions extends Gui {
     }
 
     public CommandManager getManager() {
-        return this.mc.currentWorld == null ? new CommandManager(false) : mc.currentWorld.getCommandManager();
+        return this.mc.currentWorld == null ? new CommandManager(false) : this.mc.currentWorld.getCommandManager();
     }
 
     public void drawScreen() {
@@ -170,7 +168,7 @@ public class GuiElementChatSuggestions extends Gui {
 
             int textX = (int) (leftMargin + 1 + (this.anchor.xPosition * (largestSuggestion - fontRenderer.stringWidth(suggestionText))));
 
-            fontRenderer.render(Tessellator.instance, colorCode + suggestionText, textX, minY + suggestionBoxHeight - suggestionHeight + 3).setShadow().setColor(0xE0E0E0).call();
+            fontRenderer.render(colorCode + suggestionText, textX, minY + suggestionBoxHeight - suggestionHeight + 3).setShadow().setColor(0xE0E0E0).call();
         }
 
         if (this.isHoveringOverSuggestions(mouseX, mouseY) && this.suggestions.get(this.getIndexOfSuggestionBeingHoveredOver(mouseX, mouseY).getAsInt()).getTooltip() != null) {
@@ -189,7 +187,7 @@ public class GuiElementChatSuggestions extends Gui {
         minY += (int) CommandHelper.linearInterpolation(this.anchor.yPosition, heightIndex * 12, -12 - heightIndex * 12);
 
         this.drawRect(leftMargin, minY, stringWidth + leftMargin + 1, minY + 12, Integer.MIN_VALUE);
-        fontRenderer.render(Tessellator.instance, text, leftMargin + 1, minY + 2).setShadow().setColor(0xE0E0E0).call();
+        fontRenderer.render(text, leftMargin + 1, minY + 2).setShadow().setColor(0xE0E0E0).call();
     }
 
     private List<String> getCommandUsage(int cursor) {
@@ -378,7 +376,7 @@ public class GuiElementChatSuggestions extends Gui {
     }
 
     public void scroll(int amount) {
-        this.scroll = MathHelper.clamp(scroll + amount, 0, Math.max(this.suggestions.size() - MAX_SUGGESTIONS, 0));
+        this.scroll = MathHelper.clamp(this.scroll + amount, 0, Math.max(this.suggestions.size() - MAX_SUGGESTIONS, 0));
     }
 
     public void cycleThroughSuggestions() {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenActivator.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenActivator.java
index e6e332b24..5016a29bb 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenActivator.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenActivator.java
@@ -1,13 +1,13 @@
 package net.minecraft.client.gui.container;
 
 import net.minecraft.client.gui.ButtonElement;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.core.InventoryAction;
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.container.ContainerInventory;
 import net.minecraft.core.player.inventory.menu.MenuActivator;
 import net.minecraft.core.sound.SoundCategory;
-import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.List;
@@ -24,27 +24,27 @@ public class ScreenActivator extends ScreenContainerAbstract {
     @Override
     public void init() {
         super.init();
-        int xLeft = (width - xSize) / 2;
-        int yTop = (height - ySize) / 2;
+        int xLeft = (this.width - this.xSize) / 2;
+        int yTop = (this.height - this.ySize) / 2;
         final int startX = xLeft + 7;
         final int startY = yTop + 34;
-        buttons.clear();
-        slotButtons.clear();
-        for (int i = 0; i < tileEntityActivator.getContainerSize(); i++) {
+        this.buttons.clear();
+        this.slotButtons.clear();
+        for (int i = 0; i < this.tileEntityActivator.getContainerSize(); i++) {
             ButtonElement button = new ButtonElement(i, startX + 18 * i, startY, 18, 18, "");
             button.visible = false;
-            slotButtons.add(button);
+            this.slotButtons.add(button);
         }
     }
 
     @Override
     public void clickInventory(int x, int y, int mouseButton) {
-        if (mouseButton == 1 && mc.thePlayer.inventory.getHeldItemStack() == null) {
-            for (ButtonElement button : slotButtons) {
-                if (tileEntityActivator.getItem(button.id) == null && button.mouseClicked(mc, x, y)) {
-                    mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.LOCK, new int[] {button.id, 0}, mc.thePlayer);
+        if (mouseButton == 1 && this.mc.thePlayer.inventory.getHeldItemStack() == null) {
+            for (ButtonElement button : this.slotButtons) {
+                if (this.tileEntityActivator.getItem(button.id) == null && button.mouseClicked(this.mc, x, y)) {
+                    this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.LOCK, new int[]{button.id, 0}, this.mc.thePlayer);
                     if (button.playSound) {
-                        mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
+                        this.mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
                     }
                     break;
                 }
@@ -56,21 +56,21 @@ public class ScreenActivator extends ScreenContainerAbstract {
     @Override
     protected void drawGuiContainerForegroundLayer() {
         drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.activator.label.activator"), 60, 6, 0x404040);
-        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.activator.label.inventory"), 8, (ySize - 96) + 2, 0x404040);
+        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.activator.label.inventory"), 8, (this.ySize - 96) + 2, 0x404040);
     }
 
     @Override
     protected void drawGuiContainerBackgroundLayer(float f) {
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/activator.png").bind();
-        int xLeft = (width - xSize) / 2;
-        int yTop = (height - ySize) / 2;
-        drawTexturedModalRect(xLeft, yTop, 0, 0, xSize, ySize);
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/activator.png").bind();
+        int xLeft = (this.width - this.xSize) / 2;
+        int yTop = (this.height - this.ySize) / 2;
+        drawTexturedModalRect(xLeft, yTop, 0, 0, this.xSize, this.ySize);
 
-        if (!tileEntityActivator.locked(tileEntityActivator.stackSelector)) { // Draw selector arrow
+        if (!this.tileEntityActivator.locked(this.tileEntityActivator.stackSelector)) { // Draw selector arrow
             final int startX = xLeft + 7;
             final int startY = yTop + 26;
-            drawTexturedModalRect( startX + 18 * tileEntityActivator.stackSelector, startY, 176, 0, 18, 34);
+            drawTexturedModalRect(startX + 18 * this.tileEntityActivator.stackSelector, startY, 176, 0, 18, 34);
         }
     }
 }
\ No newline at end of file
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainer.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainer.java
index e925eb97d..1fccc142a 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainer.java
@@ -1,55 +1,53 @@
 package net.minecraft.client.gui.container;
 
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.menu.MenuContainer;
 import net.minecraft.core.player.inventory.container.Container;
 import org.lwjgl.opengl.GL11;
 
-public class ScreenContainer extends ScreenContainerAbstract
-{
+public class ScreenContainer extends ScreenContainerAbstract {
 
-    public ScreenContainer(Container containerUpper, Container containerLower)
-    {
+    public ScreenContainer(Container containerUpper, Container containerLower) {
         super(new MenuContainer(containerUpper, containerLower));
-        inventoryRows = 0;
-        upperChestInventory = containerUpper;
-        lowerChestInventory = containerLower;
-        passEvents = false;
+        this.inventoryRows = 0;
+        this.upperChestInventory = containerUpper;
+        this.lowerChestInventory = containerLower;
+        this.passEvents = false;
         int i = 97 /*Bottom section height of gui*/ + 17 /*Top Section height of gui*/ - 1 /*fixes very slight off by 1 issue*/;
-        inventoryRows = containerLower.getContainerSize() / 9;
-        ySize = i + inventoryRows * 18;
+        this.inventoryRows = containerLower.getContainerSize() / 9;
+        this.ySize = i + this.inventoryRows * 18;
     }
 
     @Override
-	protected void drawGuiContainerForegroundLayer()
-    {
-        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey(lowerChestInventory.getNameTranslationKey()), 8, 6, 0x404040);
-        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey(upperChestInventory.getNameTranslationKey()), 8, (ySize - 96) + 2, 0x404040);
+    protected void drawGuiContainerForegroundLayer() {
+        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey(this.lowerChestInventory.getNameTranslationKey()), 8, 6, 0x404040);
+        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey(this.upperChestInventory.getNameTranslationKey()), 8, (this.ySize - 96) + 2, 0x404040);
     }
 
     @Override
-	protected void drawGuiContainerBackgroundLayer(float f)
-    {
-        GL11.glEnable(GL11.GL_BLEND);
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/container.png").bind();
-        int x = (width - xSize) / 2;
-        int y = (height - ySize) / 2;
-        
-        int h1 = Math.min(inventoryRows, 6) * 18 + 17;
-        drawTexturedModalRect(x, y, 0, 0, xSize, h1);
-        
-        int rows = inventoryRows;
-        while(rows > 6) {
-        	int h2 = Math.min(rows, 6) * 18;
-        	drawTexturedModalRect(x, y + h1, 0, 17, xSize, h2);
-        	rows -= 6;
-        	h1 += h2;
+    protected void drawGuiContainerBackgroundLayer(float f) {
+        GLRenderer.enableState(State.BLEND);
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/container.png").bind();
+        int x = (this.width - this.xSize) / 2;
+        int y = (this.height - this.ySize) / 2;
+
+        int h1 = Math.min(this.inventoryRows, 6) * 18 + 17;
+        drawTexturedModalRect(x, y, 0, 0, this.xSize, h1);
+
+        int rows = this.inventoryRows;
+        while (rows > 6) {
+            int h2 = Math.min(rows, 6) * 18;
+            drawTexturedModalRect(x, y + h1, 0, 17, this.xSize, h2);
+            rows -= 6;
+            h1 += h2;
         }
-        drawTexturedModalRect(x, y + inventoryRows * 18 + 17, 0, 126, xSize, 96);
+        drawTexturedModalRect(x, y + this.inventoryRows * 18 + 17, 0, 126, this.xSize, 96);
     }
 
-    private Container upperChestInventory;
-    private Container lowerChestInventory;
+    private final Container upperChestInventory;
+    private final Container lowerChestInventory;
     private int inventoryRows;
 }
